
--| Copyright (c) 1993-2006 University of Southern California and contributors.
--| All rights reserved.
--| Your use of this work is governed under the terms of the GNU General
--| Public License version 2.

class TEST
inherit
	THREAD_CONTROL
	MEM_CONST
creation
	make

feature

	make (args: ARRAY [STRING]) is
		local
			k, count, size: INTEGER
			worker: WORKER
			info: MEM_INFO
		do
			from
				k := 1
				count := args.item (1).to_integer
				size := args.item (2).to_integer
			until
				k > count
			loop
				create worker.make (size)
				worker.launch
				k := k + 1
			end
			create info.make (Total_memory)
			join_all
			info.update (Total_memory)
			print (info.total.out + " bytes allocated%N")
			print (info.used.out + " bytes used%N")
		end

end
